Bug 195786 - [WPE] Bump dependencies to wpe-1.0 and wpebackend-fdo-1.0
Summary: [WPE] Bump dependencies to wpe-1.0 and wpebackend-fdo-1.0
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WPE WebKit (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Adrian Perez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-14 17:35 PDT by Adrian Perez
Modified: 2019-03-18 04:02 PDT (History)
7 users (show)

See Also:


Attachments
Patch (4.07 KB, patch)
2019-03-14 17:41 PDT, Adrian Perez
no flags Details | Formatted Diff | Diff
Patch v2 (4.07 KB, patch)
2019-03-15 07:54 PDT, Adrian Perez
no flags Details | Formatted Diff | Diff
Patch v3 (5.95 KB, patch)
2019-03-15 09:10 PDT, Adrian Perez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Perez 2019-03-14 17:35:17 PDT
API version has been bumped for libwpe and wpebackend-fdo.
Comment 1 Adrian Perez 2019-03-14 17:41:04 PDT
Created attachment 364734 [details]
Patch
Comment 2 Philippe Normand 2019-03-15 01:11:54 PDT
Your EWS doesn't like it?

ninja: error: '../DependenciesWPE/Root/lib/libwpe-0.2.so', needed by 'lib/libWPEWebKit-0.1.so.3.3.0', missing and no known rule to make it
Comment 3 Adrian Perez 2019-03-15 01:21:15 PDT
(In reply to Philippe Normand from comment #2)
> Your EWS doesn't like it?
> 
> ninja: error: '../DependenciesWPE/Root/lib/libwpe-0.2.so', needed by
> 'lib/libWPEWebKit-0.1.so.3.3.0', missing and no known rule to make it

I'm looking into it, hopefully the EWS won't need a clean rebuild.
Comment 4 Adrian Perez 2019-03-15 07:49:51 PDT
(In reply to Adrian Perez from comment #3)
> (In reply to Philippe Normand from comment #2)
> > Your EWS doesn't like it?
> > 
> > ninja: error: '../DependenciesWPE/Root/lib/libwpe-0.2.so', needed by
> > 'lib/libWPEWebKit-0.1.so.3.3.0', missing and no known rule to make it
> 
> I'm looking into it, hopefully the EWS won't need a clean rebuild.

It looks like the clean rebuild will be needed in the end (:
Comment 5 Adrian Perez 2019-03-15 07:54:47 PDT
Created attachment 364797 [details]
Patch v2
Comment 6 Adrian Perez 2019-03-15 09:10:03 PDT
Created attachment 364804 [details]
Patch v3
Comment 7 WebKit Commit Bot 2019-03-18 04:02:44 PDT
Comment on attachment 364804 [details]
Patch v3

Clearing flags on attachment: 364804

Committed r243060: <https://trac.webkit.org/changeset/243060>
Comment 8 WebKit Commit Bot 2019-03-18 04:02:46 PDT
All reviewed patches have been landed.  Closing bug.